Create Employee
curl --request POST \
--url https://api.example.com/api/v1/ops/employees \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Maria Silva",
"email": "employee@example.com",
"phoneDdi": "55",
"phoneNumber": "99999999999",
"employeeCode": "EMP-1024",
"jobTitle": "Atendente",
"department": "Operacao",
"phoneIso": "BR"
}
'import requests
url = "https://api.example.com/api/v1/ops/employees"
payload = {
"name": "Maria Silva",
"email": "employee@example.com",
"phoneDdi": "55",
"phoneNumber": "99999999999",
"employeeCode": "EMP-1024",
"jobTitle": "Atendente",
"department": "Operacao",
"phoneIso": "BR"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Maria Silva',
email: 'employee@example.com',
phoneDdi: '55',
phoneNumber: '99999999999',
employeeCode: 'EMP-1024',
jobTitle: 'Atendente',
department: 'Operacao',
phoneIso: 'BR'
})
};
fetch('https://api.example.com/api/v1/ops/employees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"employee": {
"employeeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"companyId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"status": "ACTIVE",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"userId": null,
"name": "Maria Silva",
"employeeCode": "EMP-1024",
"jobTitle": "Atendente",
"department": "Operacao",
"createdBy": null,
"updatedBy": null,
"deletedBy": null,
"user": {
"emailVerified": false,
"name": "Maria Silva",
"phoneDdi": "55",
"phoneIso": "BR",
"phoneNumber": "99999999999",
"phoneVerified": false,
"status": "ACTIVE",
"userId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"avatar": "users/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/avatar/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"email": "maria@example.com"
},
"activatedAt": "2026-01-01T00:00:00.000Z",
"suspendedAt": null,
"revokedAt": null,
"deletedAt": null
},
"invite": {
"inviteId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"type": "MEMBER",
"invitedByUserId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"token": "a1b2c3d4e5f6",
"phoneIso": "BR",
"phoneDdi": "55",
"phoneNumber": "99999999999",
"expiresAt": "2026-01-08T00:00:00.000Z",
"createdAt": "2026-01-01T00:00:00.000Z",
"invitedBy": {
"userId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"name": "Maria Silva",
"phoneIso": "BR",
"phoneDdi": "55",
"phoneNumber": "99999999999",
"phoneVerified": false,
"emailVerified": false,
"status": "ACTIVE",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"googleProviderId": "109876543210987654321",
"email": "maria@example.com",
"avatar": "users/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/avatar/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"createdBy": null,
"updatedBy": null,
"deletedBy": null,
"deletedAt": null
},
"organization": {
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"type": "COOPERATIVE",
"name": "Cooperativa Metropolitana",
"document": "45.723.174/0001-10",
"documentType": "CNPJ",
"phoneVerified": false,
"emailVerified": false,
"status": "ACTIVE",
"cooperative": {
"cooperativeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"createdBy": null,
"updatedBy": null,
"deletedBy": null,
"deletedAt": null
},
"company": {
"companyId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"industrySegment": "retail",
"createdBy": null,
"updatedBy": null,
"deletedBy": null,
"deletedAt": null
},
"address": {
"organizationAddressId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"country": "BR",
"state": "SP",
"city": "São Paulo",
"zipCode": "01310-100",
"street": "Av. Paulista",
"neighborhood": "Bela Vista",
"number": "1000",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"complement": "Sala 42",
"createdBy": null,
"updatedBy": null,
"deletedBy": null,
"deletedAt": null
},
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"legalName": "Cooperativa Metropolitana de Transporte Ltda.",
"tradeName": "Metropolitana",
"logo": "organizations/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/logo/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"phoneIso": "BR",
"phoneDdi": "+55",
"phoneNumber": "1133334444",
"email": "contato@estrela.com",
"createdBy": null,
"updatedBy": null,
"deletedBy": null,
"deletedAt": null
},
"invitedUserId": null,
"employeeId": null,
"employee": {
"employeeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"companyId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"status": "ACTIVE",
"name": "Maria Silva"
},
"roleId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"transportOperatorId": null,
"transportOperator": {
"document": "12345678000190",
"documentType": "CNPJ",
"legalName": "Joao Silva Transportes Ltda",
"transportOperatorId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"tradeName": "Silva Transportes"
},
"email": "novo@example.com",
"createdBy": null,
"updatedBy": null,
"acceptedAt": null,
"revokedAt": null,
"rejectedAt": null,
"invitedUser": {
"userId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"name": "Maria Silva",
"phoneIso": "BR",
"phoneDdi": "55",
"phoneNumber": "99999999999",
"phoneVerified": false,
"emailVerified": false,
"status": "ACTIVE",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"googleProviderId": "109876543210987654321",
"email": "maria@example.com",
"avatar": "users/0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a/avatar/0195e7b2-4a3c-7d3e-9f4a-2c6b8d0e1f3b.png",
"createdBy": null,
"updatedBy": null,
"deletedBy": null,
"deletedAt": null
},
"role": {
"roleId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"type": "ORGANIZATION",
"name": "Administrador",
"permissions": [
"read:trip",
"create:trip"
],
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"description": "Acesso total à organização",
"createdBy": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"updatedBy": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"deletedBy": null,
"deletedAt": null
}
}
}{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}{
"message": "Missing or invalid access token",
"statusCode": 401
}{
"message": "Insufficient permissions",
"statusCode": 403
}{
"message": "Internal Server Error",
"statusCode": 500
}Employee
Create Employee
Creates an employee.
POST
/
api
/
v1
/
ops
/
employees
Create Employee
Authorizations
bearerbearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.
Body
application/json
Create employee payload
Employee name
Example:
"Maria Silva"
Employee email
Example:
"employee@example.com"
International dialing code
Example:
"55"
Phone number without country code
Example:
"99999999999"
Employee code
Example:
"EMP-1024"
Job title
Example:
"Atendente"
Department
Example:
"Operacao"
Phone ISO country code
Example:
"BR"